#include "group.h"

extern int cnt;
extern int g_cnt;
extern int x, y, z;

void group3(int x, int y, int z)
{

/* Sequence Of Group Three*/
/* Step (1) */
        if(cnt==0) { printf("\t>> Group 3\n"); usleep(x); } /* Timer Between Operation */
        if(cnt==1)  { q1a; q4a; q7a; q10a; q13a; q16a; q19a; }
        if(cnt==2) usleep(y);		/* Timer To Drive Cylinder UP */
        if(cnt==3)  { cq1a; cq4a; cq7a; cq10a; cq13a; cq16a; cq19a; }
        if(cnt==4) usleep(x); 		/* Timer Between Operation */

/* Step (2) */
        if(cnt==5)  { q2a; q5a; q8a; q11a; q15a; q17a; q20a; }
        if(cnt==6) usleep(y); 		/* Timer To Dive Cylinder UP */
        if(cnt==7)  { cq2a; cq5a; cq8a; cq11a; cq15a; cq17a; cq20a; }
        if(cnt==8) usleep(x); 		/* Timer Between Operation */

/* Step (3) */
        if(cnt==9)  { q1b; q4b; q7b; q10b; q13b; q16b; q19b; }
        if(cnt==10) usleep(z);		/* Timer To Drive Cylinder DOWN */
        if(cnt==11) { cq1b; cq4b; cq7b; cq10b; cq13b; cq16b; cq19b; }
        if(cnt==12) usleep(x); 		/* Timer Between Operation */

/* Step (4) */

        if(cnt==13) { q3a; q6a; q9a; q12a; q15a; q18a; q21a; }
        if(cnt==14) usleep(y);		/* Timer To Drive Cylinder UP */
        if(cnt==15) { cq3a; cq6a; cq9a; cq12a; cq15a; cq18a; cq21a; }
        if(cnt==16) usleep(x); 		/* Timer Between Operation */

/* Step (5) */

        if(cnt==17) { q2b; q5b; q8b; q11b; q15b; q17b; q20b; }
        if(cnt==18) usleep(z); 		/* Timer To Drive Cylinder DOWN */
        if(cnt==19) { cq2b; cq5b; cq8b; cq11b; cq15b; cq17b; cq20b; }
        if(cnt==20) usleep(x); 		/* Timer Between Operation */

/* Step (6) */

        if(cnt==21) { q3b; q6b; q9b; q12b; q18b; q21b; }
        if(cnt==22) usleep(z); 		/* Timer To Drive Cylinder DOWN */
        if(cnt==23) { cq3b; cq6b; cq9b; cq12b; cq18b; cq21b; }
        if(cnt==24) usleep(x); 		/* Timer Between Operation */

/* Step (7) */

        if(cnt==25) { q1a; q2a; q3a; q10a; q11a; q12a; q13a; }
        if(cnt==26) usleep(y); 		/* Timer To Dive Cylinder UP */
        if(cnt==27) { cq1a; cq2a; cq3a; cq10a; cq11a; cq12a; cq13a; }
        if(cnt==28) usleep(x); 		/* Timer Between Operation */

/* Step (8) */

        if(cnt==29) { q4a; q5a; q6a; q14a; q15a; q16a; q17a; }
        if(cnt==30) usleep(y); 		/* Timer To Dive Cylinder UP */
        if(cnt==31) { cq4a; cq5a; cq6a; cq14a; cq15a; cq16a; cq17a; }
        if(cnt==32) usleep(x); 		/* Timer Between Operation */

/* Step (9) */

        if(cnt==33) { q1b; q2b; q3b; q10b; q11b; q12b; q13b; }
        if(cnt==34) usleep(z); 		/* Timer To Dive Cylinder DOWN */
        if(cnt==35) { cq1b; cq2b; cq3b; cq10b; cq11b; cq12b; cq13b; }
        if(cnt==36) usleep(x); 		/* Timer Between Operation */

/* Step (10) */
        
	if(cnt==37) { q7a; q8a; q9a; q18a; q19a; q20a; q21a; }
        if(cnt==38) usleep(y); 		/* Timer To Dive Cylinder UP */
        if(cnt==39) { cq7a; cq8a; cq9a; cq18a; cq19a; cq20a; cq21a; }
        if(cnt==40) usleep(x); 		/* Timer Between Operation */

/* Step (11) */
        
        if(cnt==41) { q4b; q5b; q6b; q14b; q15b; q16b; q17b; }
        if(cnt==42) usleep(z); 		/* Timer To Dive Cylinder DOWN */
        if(cnt==43) { cq4b; cq5b; cq6b; cq14b; cq15b; cq16b; cq17b; }
        if(cnt==44) usleep(x); 		/* Timer Between Operation */

/* Step (12) */
        
	if(cnt==45) { q7b; q8b; q9b; q18b; q19b; q20b; q21b; }
        if(cnt==46) usleep(z); 		/* Timer To Dive Cylinder UP */
        if(cnt==47) { cq7b; cq8b; cq9b; cq18b; cq19b; cq20b; cq21b; }
        if(cnt==48) usleep(x); 		/* Timer Between Operation */

/* Step (13) */
	
	if(cnt==49) { q1a; q2a; q3a; q4a; q5a; q6a; q7a; }
        if(cnt==50) usleep(y); 		/* Timer To Dive Cylinder UP */
        if(cnt==51) { cq1a; cq2a; cq3a; cq4a; cq5a; cq6a; cq7a; }
        if(cnt==52) usleep(x); 		/* Timer Between Operation */

/* Step (14) */
	
	if(cnt==53) { q15a; q16a; q17a; q18a; q19a; q20a; q21a; }
        if(cnt==54) usleep(y); 		/* Timer To Dive Cylinder UP */
        if(cnt==55) { cq15a; cq16a; cq17a; cq18a; cq19a; cq20a; cq21a; }
        if(cnt==56) usleep(x); 		/* Timer Between Operation */

/* Step (15) */
	
	if(cnt==57) { q1b; q2b; q3b; q4b; q5b; q6b; q7b; }
        if(cnt==58) usleep(z); 		/* Timer To Dive Cylinder DOWN */
        if(cnt==59) { cq1b; cq2b; cq3b; cq4b; cq5b; cq6b; cq7b; }
        if(cnt==60) usleep(x); 		/* Timer Between Operation */

/* Step (16) */
	
	if(cnt==61) { q8a; q9a; q10a; q11a; q12a; q13a; q14a; }
        if(cnt==62) usleep(y); 		/* Timer To Dive Cylinder UP */
        if(cnt==63) { cq8a; cq9a; cq10a; cq11a; cq12a; cq13a; cq14a; }
        if(cnt==64) usleep(x); 		/* Timer Between Operation */

/* Step (17) */
	
	if(cnt==65) { q15b; q16b; q17b; q18b; q19b; q20b; q21b; }
        if(cnt==66) usleep(z); 		/* Timer To Dive Cylinder DOWN */
        if(cnt==67) { cq15b; cq16b; cq17b; cq18b; cq19b; cq20b; cq21b; }
        if(cnt==68) usleep(x); 		/* Timer Between Operation */

/* Step (18) */
	
	if(cnt==69) { q8b; q9b; q10b; q11b; q12b; q13b; q14b; }
        if(cnt==70) usleep(z); 		/* Timer To Dive Cylinder DOWN */
        if(cnt==71) { cq8b; cq9b; cq10b; cq11b; cq12b; cq13b; cq14b; }
        if(cnt==72) usleep(x); 		/* Timer Between Operation */

/* Step (19) */
	
	if(cnt==73) { q1a; q2a; q3a; q18a; q19a; q20a; q21a; }
        if(cnt==74) usleep(y); 		/* Timer To Dive Cylinder UP */
        if(cnt==75) { cq1a; cq2a; cq3a; cq18a; cq19a; cq20a; cq21a; }
        if(cnt==76) usleep(x); 		/* Timer Between Operation */

/* Step (20) */
	
	if(cnt==77) { q4a; q5a; q6a; q7a; q15a; q16a; q17a; }
        if(cnt==78) usleep(y); 		/* Timer To Dive Cylinder UP */
        if(cnt==79) { cq4a; cq5a; cq6a; cq7a; cq15a; cq16a; cq17a; }
        if(cnt==80) usleep(x); 		/* Timer Between Operation */

/* Step (21) */
	
	if(cnt==81) { q1b; q2b; q3b; q18b; q19b; q20b; q21b; }
        if(cnt==82) usleep(z); 		/* Timer To Dive Cylinder DOWN */
        if(cnt==83) { cq1b; cq2b; cq3b; cq18b; cq19b; cq20b; cq21b; }
        if(cnt==84) usleep(x); 		/* Timer Between Operation */

/* Step (22) */
	
	if(cnt==85) { q8a; q9a; q10a; q11a; q12a; q13a; q14a; }
        if(cnt==86) usleep(y); 		/* Timer To Dive Cylinder UP */
        if(cnt==87) { cq8a; cq9a; cq10a; cq11a; cq12a; cq13a; cq14a; }
        if(cnt==88) usleep(x); 		/* Timer Between Operation */

/* Step (23) */
	
	if(cnt==89) { q4b; q5b; q6b; q7b; q15b; q16b; q17b; }
        if(cnt==90) usleep(z); 		/* Timer To Dive Cylinder DOWN */
        if(cnt==91) { cq4b; cq5b; cq6b; cq7b; cq15b; cq16b; cq17b; }
        if(cnt==92) usleep(x); 		/* Timer Between Operation */
/* Step (24) */

	if(cnt==93) { q8b; q9b; q10b; q11b; q12b; q13b; q14b; }
        if(cnt==94) usleep(z); 		/* Timer To Dive Cylinder DOWN */
        if(cnt==95) { cq8b; cq9b; cq10b; cq11b; cq12b; cq13b; cq14b; }
	
 
        if(cnt==96) zpp();
}


